MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025438Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-31 15:192014-11-12 09:41
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025438: Visualization, TKOpenGl - always setup viewport within OpenGl_Workspace::Redraw()
DescriptionViewer should not rely on viewport stored in OpenGL context.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025146closedbugmaster Porting to Android 

-  Notes
(0033953)
git (administrator)
2014-10-31 15:33

Branch CR25438 has been created by kgv.

SHA-1: 1c6c1df82b759ba96e3d8b96d37ed4eb9181cd7f


Detailed log of new commits:

Author: kgv
Date: Fri Oct 31 15:33:12 2014 +0300

    0025438: Visualization, TKOpenGl - always setup viewport within OpenGl_Workspace::Redraw()
(0033954)
kgv (developer)
2014-10-31 15:34

Patch is ready for review in branch CR25438.
(0033994)
san (developer)
2014-10-31 21:11

Branch CR25438 reviewed without remarks, ready for testing.
(0034064)
apv (tester)
2014-11-05 17:25

Dear BugMaster,

Branch CR24381_9_CR25438 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 4963d2e9a96719bee818cc80af08fc529ffcbb33

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 372579184 / 373127428
Total CPU difference: 46335.78999999996 / 48561.70000000008

Testing on Windows:
Total MEMORY difference: 274595460 / 274441904
Total CPU difference: 33781.921875 / 34083.171875
(0034133)
git (administrator)
2014-11-06 19:21

Branch CR25438_warning has been created by kgv.

SHA-1: 9b5016a7da624ce870fcbb7bdc01e55d04682564


Detailed log of new commits:

Author: kgv
Date: Thu Nov 6 19:21:39 2014 +0300

    suppress new warning
(0034192)
git (administrator)
2014-11-10 09:58

Branch CR25438 has been deleted by kgv.

SHA-1: 1c6c1df82b759ba96e3d8b96d37ed4eb9181cd7f
(0034277)
git (administrator)
2014-11-12 09:41

Branch CR25438_warning has been deleted by kgv.

SHA-1: 9b5016a7da624ce870fcbb7bdc01e55d04682564

- Related Changesets
occt: master e3573bb9
Timestamp: 2014-10-31 12:33:12
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025438: Visualization, TKOpenGl - always setup viewport within OpenGl_Workspace::Redraw()
mod - src/InterfaceGraphic/InterfaceGraphic_Aspect.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
occt: master 93e572ca
Timestamp: 2014-11-06 16:21:39
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025438: Visualization, TKOpenGl - always setup viewport within OpenGl_Workspace::Redraw()

suppress new warning
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-31 15:19 kgv New Issue
2014-10-31 15:19 kgv Assigned To => kgv
2014-10-31 15:20 kgv Relationship added child of 0025146
2014-10-31 15:33 git Note Added: 0033953
2014-10-31 15:33 kgv Assigned To kgv => san
2014-10-31 15:33 kgv Status new => resolved
2014-10-31 15:33 kgv Additional Information Updated View Revisions
2014-10-31 15:34 kgv Note Added: 0033954
2014-10-31 15:34 kgv Additional Information Updated View Revisions
2014-10-31 21:11 san Note Added: 0033994
2014-10-31 21:11 san Assigned To san => bugmaster
2014-10-31 21:11 san Status resolved => reviewed
2014-11-05 17:25 apv Test case number => Not needed
2014-11-05 17:25 apv Note Added: 0034064
2014-11-05 17:25 apv Status reviewed => tested
2014-11-06 15:18 bugmaster Changeset attached => occt master e3573bb9
2014-11-06 15:18 bugmaster Status tested => verified
2014-11-06 15:18 bugmaster Resolution open => fixed
2014-11-06 19:21 git Note Added: 0034133
2014-11-10 09:58 git Note Added: 0034192
2014-11-10 16:01 bugmaster Changeset attached => occt master 93e572ca
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed
2014-11-12 09:41 git Note Added: 0034277


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker